using Hotline.Share.Enums.Settings;
using XF.Domain.Authentications;
using XF.Domain.Entities;

namespace Hotline.Repository.SqlSugar.DataPermissions;

public interface IDataPermissionManager
{
    ETableAccessLevel GetQueryFilter<TEntity>(ISessionContext sessionContext)
        where TEntity : class, IEntity<string>, IDataPermission, new();

    (string? creatorId, string? creatorName, string? orgId, string? orgName, int orgLevel, string? areaId)
        GetDataPermissionOptions();
}